Summary: A collection of tools for managing UNIX services
Name: daemontools
Version: 0.76
Release: 1
Copyright: See djb@pobox.com
Group: Utilities/System
Source0: http://cr.yp.to/daemontools/daemontools-%{version}.tar.gz
BuildRoot: /tmp/daemontools-buildroot
URL: http://cr.yp.to/daemontools.html
Packager: Bruce Guenter <bruce@untroubled.org>

%description
daemontools is a collection of tools for managing UNIX services. 

supervise monitors a service. It starts the service and restarts the
service if it dies. Setting up a new service is easy: all supervise
needs is a directory with a run script that runs the service.

multilog saves error messages to one or more logs. It optionally
timestamps each line and, for each log, includes or excludes lines
matching specified patterns. It automatically rotates logs to limit the
amount of disk space used. If the disk fills up, it pauses and tries
again, without losing any data.

%prep
%setup -n admin/daemontools-0.76/src

echo gcc %{optflags} -I. >conf-cc
echo gcc %{optflags} -I. -s >conf-ld
echo %{buildroot}/usr/local >home

mkdir sys
echo '#include </usr/include/sys/time.h>' >sys/time.h
echo '#include </usr/include/time.h>' >>sys/time.h

sed -e 's/extern int errno;/#include <errno.h>/' <error.h >error.h.tmp
mv error.h.tmp error.h

%build
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/usr/local/bin
while read command; do
	install $command %{buildroot}/usr/local/bin/$command
done <../package/commands

%clean
rm -rf %{buildroot}

%files
%attr(-,root,root) /usr/local/bin/*

%changelog

* Fri Feb 9 2007 Bruce Guenter <bruce@untroubled.org>

- Updated to version 0.76 finally.

* Thu May 5 2001 Bruce Guenter <bruceg@em.ca>

- Added a hack to allow building on glibc 2.2 systems (such as RedHat 7.x)

* Fri Dec 1 2000 Bruce Guenter <bruceg@em.ca>

- Reverted to a completely plain, unmodified install.

* Mon Mar 6 2000 Bruce Guenter <bruceg@em.ca>

- Updated to version 0.70.

* Mon Dec 6 1999 Bruce Guenter <bruceg@em.ca>

- Modified svscan init script to start all services as "down" on
  startup, and to clean up properly on exit.
- Removed /var/lock/svc directory.
